Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522093 - init script has no status/restart/condrestart functions available
Summary: init script has no status/restart/condrestart functions available
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:20 UTC by Vladimir Benes
Modified: 2009-09-16 11:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-16 11:13:52 UTC
Type: ---


Attachments (Terms of Use)

Description Vladimir Benes 2009-09-09 13:20:43 UTC
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
bluez-4.52-1.fc12

How reproducible:
100%

Steps to Reproduce:
1.run service bluetooth status/restart/condrestart
2.
3.
  
Actual results:
Usage: /etc/init.d/bluetooth {start|stop}

Expected results:
perform action as expected

Additional info:

Comment 1 Bastien Nocera 2009-09-09 13:56:05 UTC
What did you expect it to do when status/restart or condrestart was used?

The initscript just runs a single command and exits...

Comment 2 Vladimir Benes 2009-09-11 08:59:51 UTC
I am not sure but isn't system-config-services using status? Moreover this page (LSB init script compliance project) tells me that start/stop/restart/status/!force-reload! is mandatory see: https://wiki.test.redhat.com/BaseOs/Projects/InitScripts#Testtemplate

Comment 3 Bastien Nocera 2009-09-16 11:13:52 UTC
status, restart and condrestart would do absolutely nothing for this initscript that just pokes at udev on bootup.

Furthermore, OS initscripts don't have to be LSB compliant, 3rd party initscripts should be, and the init system should support them. That initscript does not break LSB compliance.


Note You need to log in before you can comment on or make changes to this bug.